
log_format = '$server_name:$server_port $remote_addr - $remote_user [$time_local] ' +\
             '"$request" $status $body_bytes_sent ' +\
             '"$http_referer" "$http_user_agent"';

#09/Nov/2014:06:35:16 +0100
time_format = '%d/%b/%Y:%H:%M:%S +0100'

analyzed_filename = 'access.log'

domain_name = 'soutade.fr'

display_visitor_ip = True

DB_ROOT = './output/'
DISPLAY_ROOT = './output/'

pre_analysis_hooks = ['page_to_hit', 'robots']
post_analysis_hooks = ['referers', 'top_pages', 'top_downloads', 'top_hits']
# post_analysis_hooks = ['top_visitors', 'reverse_dns']
display_hooks = ['top_visitors', 'all_visits', 'referers', 'top_pages', 'top_downloads', 'top_hits']

reverse_dns_timeout = 0.2
page_to_hit_conf = [r'^.+/logo[/]?$']
hit_to_page_conf = [r'^.+/category/.+$', r'^.+/tag/.+$', r'^.+/archive/.+$', r'^.+/ljdc[/]?$']

count_hit_only_visitors = True
