# Default configuration

DB_ROOT = './output/'
DISPLAY_ROOT = './output/'
HOOKS_ROOT = 'plugins'

PRE_HOOK_DIRECTORY = HOOKS_ROOT + '.pre_analysis'
POST_HOOK_DIRECTORY = HOOKS_ROOT + '.post_analysis'
DISPLAY_HOOK_DIRECTORY = HOOKS_ROOT + '.display'
META_PATH = DB_ROOT + 'meta.db'
DB_FILENAME = 'iwla.db'

log_format = '$server_name:$server_port $remote_addr - $remote_user [$time_local] ' +\
    '"$request" $status $body_bytes_sent ' +\
    '"$http_referer" "$http_user_agent"'

time_format = '%d/%b/%Y:%H:%M:%S +0100'

pre_analysis_hooks = []
post_analysis_hooks = []
display_hooks = []

pages_extensions = ['/', 'htm', 'html', 'xhtml', 'py', 'pl', 'rb', 'php']
viewed_http_codes = [200, 304]

count_hit_only_visitors = True

multimedia_files = ['png', 'jpg', 'jpeg', 'gif', 'ico',
                    'css', 'js']
